Overview | Modules | Class Hierarchy | Classes | Members

# tlp::GraphType Class Reference
[Types]

`#include <Types.h>`

Inherits tlp::Type.

Inheritance diagram for tlp::GraphType:

[legend]
Collaboration diagram for tlp::GraphType:

[legend]
List of all members.

## Public Types

- typedef Graph * RealType

## Static Public Member Functions

- static GraphType::RealType undefinedValue ()
- static GraphType::RealType defaultValue ()
- static std::string toString (const RealType &v)
- static bool fromString (RealType &v, const std::string &s)

## Member Typedef Documentation

typedef Graph* tlp::GraphType::RealType

Tulip Software by LaBRI Visualization Team 2001 - 2010